/***********************************************************

	duo-gl128-pic24f.h

	Version 0.91: 2009/02/12

	Copyright (C) 2008-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef DUOGL128PIC24F_H_
#define DUOGL128PIC24F_H_

/***********************************************************
	LEDɊւ`
***********************************************************/

#define	LED1	RA(0)

#define	OPT_LED1	LATAbits.LATA0
#define	OPT_LED1_TRIS	TRISAbits.TRISA0


/***********************************************************
	^NgXCb`Ɋւ`
***********************************************************/

#define	SW1	RB(0)
#define	SW2	RB(1)
#define	SW3	RB(2)
#define	SW4	RB(3)
#define	SW5	RB(4)
#define	SW6	RB(5)
#define	SW7	RB(6)
#define	SW8	RB(7)

#define	OPT_SW_MASK	0xff

#define	OPT_SW1	PORTBbits.RB0
#define	OPT_SW2	PORTBbits.RB1
#define	OPT_SW3	PORTBbits.RB2
#define	OPT_SW4	PORTBbits.RB3
#define	OPT_SW5	PORTBbits.RB4
#define	OPT_SW6	PORTBbits.RB5
#define	OPT_SW7	PORTBbits.RB6
#define	OPT_SW8	PORTBbits.RB7
#define	OPT_SW1_TRIS	TRISBbits.TRISB0
#define	OPT_SW2_TRIS	TRISBbits.TRISB1
#define	OPT_SW3_TRIS	TRISBbits.TRISB2
#define	OPT_SW4_TRIS	TRISBbits.TRISB3
#define	OPT_SW5_TRIS	TRISBbits.TRISB4
#define	OPT_SW6_TRIS	TRISBbits.TRISB5
#define	OPT_SW7_TRIS	TRISBbits.TRISB6
#define	OPT_SW8_TRIS	TRISBbits.TRISB7

#define	SW_ACTIVATE1	RB(10)
#define	SW_ACTIVATE2	RB(11)

#define	OPT_SW_ACTIVATE1	LATBbits.LATB10
#define	OPT_SW_ACTIVATE1_TRIS	TRISBbits.TRISB10
#define	OPT_SW_ACTIVATE2	LATBbits.LATB11
#define	OPT_SW_ACTIVATE2_TRIS	TRISBbits.TRISB11


/***********************************************************
	\uɊւ`
***********************************************************/

#define	GLCD_RW	RB(8)
#define	GLCD_DI	RB(9)
#define	GLCD_CS1	RB(10)
#define	GLCD_CS2	RB(11)
#define	GLCD_E	RA(4)

#define	OPT_GLCD_RW	LATBbits.LATB8
#define	OPT_GLCD_DI	LATBbits.LATB9
#define	OPT_GLCD_CS1	LATBbits.LATB10
#define	OPT_GLCD_CS2	LATBbits.LATB11
#define	OPT_GLCD_E	LATAbits.LATA4

#define	NDBUS	8

#define	DBUS1	RB(0)
#define	DBUS2	RB(1)
#define	DBUS3	RB(2)
#define	DBUS4	RB(3)
#define	DBUS5	RB(4)
#define	DBUS6	RB(5)
#define	DBUS7	RB(6)
#define	DBUS8	RB(7)

#define	OPT_DBUS1	LATBbits.LATB0
#define	OPT_DBUS2	LATBbits.LATB1
#define	OPT_DBUS3	LATBbits.LATB2
#define	OPT_DBUS4	LATBbits.LATB3
#define	OPT_DBUS5	LATBbits.LATB4
#define	OPT_DBUS6	LATBbits.LATB5
#define	OPT_DBUS7	LATBbits.LATB6
#define	OPT_DBUS8	LATBbits.LATB7

#define	OPT_DBUS1_TRIS	TRISBbits.TRISB0
#define	OPT_DBUS2_TRIS	TRISBbits.TRISB1
#define	OPT_DBUS3_TRIS	TRISBbits.TRISB2
#define	OPT_DBUS4_TRIS	TRISBbits.TRISB3
#define	OPT_DBUS5_TRIS	TRISBbits.TRISB4
#define	OPT_DBUS6_TRIS	TRISBbits.TRISB5
#define	OPT_DBUS7_TRIS	TRISBbits.TRISB6
#define	OPT_DBUS8_TRIS	TRISBbits.TRISB7


/***********************************************************
	dTE_[Ɋւ`
***********************************************************/

#define	SOUNDER	RB(13)


/***********************************************************
	VA|[gɊւ`
***********************************************************/

#define	USB_TX	RB(14)
#define	USB_RX	RB(15)


/***********************************************************
	ڑRlN^Ɋւ`
***********************************************************/

#define	CN41	RA(1)
#define	CN42	RB(12)

#define	CN5	AN(12) // RB(12)
#define	VR2	AN(12) // RB(12)


#endif /*DUOGL128PIC24F_H_*/
